#include <iostream>
using namespace std;
int main()
{
	long long N,M,redari=0;
	cin>>N>>M;
	if(N==1 || M==1 || N==2 || M==2) redari=M*N;
	else redari=(2*N+2*M)-4+((M-2)*(N-2))/2;
	cout<<redari;
	return 0;
}